summaryrefslogtreecommitdiff
path: root/pst
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2009-06-01 03:18:01 +0100
committerNick White <git@njw.me.uk>2009-06-01 03:18:01 +0100
commit2b5d0fe643cb7abc9a75634d576a6ea19d39ddcf (patch)
tree39854c5270c968b5deeaad12fc22ecd093af89bf /pst
parenta45222f981eab7f3247dc4250a332ecdcb427cd2 (diff)
downloadgemrb-gameinstallers-2b5d0fe643cb7abc9a75634d576a6ea19d39ddcf.tar.bz2
gemrb-gameinstallers-2b5d0fe643cb7abc9a75634d576a6ea19d39ddcf.zip
Added more info to patches & improved url handling
Diffstat (limited to 'pst')
-rwxr-xr-xpst/install-patch-official.sh13
1 files changed, 10 insertions, 3 deletions
diff --git a/pst/install-patch-official.sh b/pst/install-patch-official.sh
index 05cd670..b053e37 100755
--- a/pst/install-patch-official.sh
+++ b/pst/install-patch-official.sh
@@ -14,7 +14,14 @@
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.
#
-# Planescape: Torment official patch
+# Planescape: Torment official patch v1.1
+#
+# info : http://www.planetbaldursgate.com/pst/media/files/patches/tormentreadme11.txt
+# size : 3.4 MB
+# date : 1/28/00
+
+patch_url="http://www.sorcerers.net/Games2/Torment/Trmt11.exe"
+patch_name="$(basename $patch_url)"
scriptdir="$(dirname $0)"/..
source "${scriptdir}/includes/generic-includes.sh"
@@ -26,9 +33,9 @@ checkforbin cabextract unshield wget
setuptmp
-getpatch http://www.sorcerers.net/Games2/Torment/Trmt11.exe
+getpatch $patch_url
-cabextract -L "${TMPDIR}/Trmt11.exe" -d "$TMPDIR" || diesoftly
+cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
cp -R "${TMPDIR}/program_executable_files/"* "$TARGETDIR" || diesoftly